org.apache.hadoop.yarn.api.protocolrecords.impl.pb

## Class KillApplicationResponsePBImpl

- java.lang.Object
- - org.apache.hadoop.yarn.api.protocolrecords.KillApplicationResponse
  - - org.apache.hadoop.yarn.api.protocolrecords.impl.pb.KillApplicationResponsePBImpl

-     @InterfaceAudience.Private
       @InterfaceStability.Unstable
      public class KillApplicationResponsePBImpl
      extends org.apache.hadoop.yarn.api.protocolrecords.KillApplicationResponse

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `KillApplicationResponsePBImpl()`
    `KillApplicationResponsePBImpl(org.apache.hadoop.yarn.proto.YarnServiceProtos.KillApplicationResponseProto proto)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object other)`
    `boolean` | `getIsKillCompleted()`
    `org.apache.hadoop.yarn.proto.YarnServiceProtos.KillApplicationResponseProto` | `getProto()`
    `int` | `hashCode()`
    `void` | `setIsKillCompleted(boolean isKillCompleted)`
    `String` | `toString()`

    - ### Methods inherited from class org.apache.hadoop.yarn.api.protocolrecords.KillApplicationResponse

      `newInstance`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### KillApplicationResponsePBImpl

          public KillApplicationResponsePBImpl()

    - #### KillApplicationResponsePBImpl

          public KillApplicationResponsePBImpl(org.apache.hadoop.yarn.proto.YarnServiceProtos.KillApplicationResponseProto proto)

  - ### Method Detail

    - #### getProto

          public org.apache.hadoop.yarn.proto.YarnServiceProtos.KillApplicationResponseProto getProto()

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object other)

      Overrides:
        `equals` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### getIsKillCompleted

          public boolean getIsKillCompleted()

      Specified by:
        `getIsKillCompleted` in class `org.apache.hadoop.yarn.api.protocolrecords.KillApplicationResponse`

    - #### setIsKillCompleted

          public void setIsKillCompleted(boolean isKillCompleted)

      Specified by:
        `setIsKillCompleted` in class `org.apache.hadoop.yarn.api.protocolrecords.KillApplicationResponse`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.